function redirect(path) {
    setTimeout(function() {
        window.location.href = path;
    }, 2000); 
}

function login(){
    var username = $('#username').val();
    var password = $('#password').val();
    $.ajax({
        type: 'POST',
        url: 'login.php', 
        data: {username: username, password: password},
        beforeSend: function(){
            $("#loader").show();
        },
        success: function(response){             
            var data = jQuery.parseJSON(response);
            if(data.status === 'success'){                            
                swal({
                    title: "Welcome!",
                    text: data.message,
                    icon: "success",
                    button: "OK",
                });
                redirect('main');
            }else{
                swal({
                    title: "Warning!",
                    text: data.message,
                    icon: "warning",
                    button: "OK",
                });
            }
            $("#loader").hide();
        },
        error: function() {
            alert('Error occurred during login');
        }
    });
}

function pageCalled(page, id=null, eid=null){
    $.ajax({
        type: 'POST',
        url: page+'.php', 
        data: {id: id, eid: eid},
        beforeSend: function(){
            $("#loader2").show();
            if(page == 'home'){
                $('#header').html('<h1><i class="fas fa-home" style="margin-right:5px"></i> Dashboard</h1>');
            }else if(page == 'recharge'){
                $('#header').html('<h1><i class="fas fa-rupee-sign" style="margin-right:5px"></i> Recharge</h1>');
            }else if(page == 'transaction'){
                $('#header').html('<h1><i class="fas fa-list" style="margin-right:5px"></i> Transaction</h1>');
            }else if(page == 'accounts'){
                $('#header').html('<h1><i class="fas fa-wifi" style="margin-right:5px"></i> Wifi Recharge</h1>');
            }else if(page == 'customer'){
                $('#header').html('<h1><i class="fas fa-user" style="margin-right:5px"></i> Customers</h1>');
            }else if(page == 'manage'){
                $('#header').html('<h1><i class="fas fa-edit" style="margin-right:5px"></i> Manage</h1>');
            }else if(page == 'add-accounts'){
                $('#header').html('<h1><i class="fas fa-edit" style="margin-right:5px"></i> Manage Amount</h1>');
            }
        },
        success: function(response){
            $("#datas").html(response);
            $("#loader2").hide();
        },
        error: function() {
            swal({
                title: "Warning!",
                text: 'Error occurred during fetch data',
                icon: "warning",
                button: "OK",
            });
        }
    });
}

function rechargeMob(){
    var e=$("#mobile").val();
    e=e.replace(/^\s+/,"").replace(/\s+$/,"");
    var t=$("#operator").val(),a=$("#circle").val(),r=$("#amount").val();
    return""==e?($("#mobile").focus(),!1):10!=e.length?(swal({
        title:"Warning",text:"Mobile Number must be 10 digit",icon:"warning",button:"OK"
    }
    ),$("#mobile").focus(),!1):9!=e.charAt(0)&&8!=e.charAt(0)&&7!=e.charAt(0)&&6!=e.charAt(0)?(swal({
        title:"Warning",text:"Mobile Number should start with 9,8,7 or 6",icon:"warning",button:"OK"
    }
    ),$("#mobile").focus(),!1):e.match(/^[0-9]+$/)?""==t?(swal({
        title:"Warning",text:"Please Select Operator",icon:"warning",button:"OK"
    }
    ),$("#operator").focus(),!1):""==a?(swal({
        title:"Warning",text:"Please Select Circle",icon:"warning",button:"OK"
    }
    ),$("#circle").focus(),!1):""==r?($("#amount").focus(),!1):(console.log("Proceed"),void $.ajax({
        type:"POST",url:"recharge-mobile.php",data:"mobile="+e+"&operator="+t+"&circle="+a+"&amount="+r,beforeSend:function(){
            $("#recharge").html("Please Wait..."),$("#recharge").removeAttr("onclick")
        }
        ,success:function(e){
            if("null"!=e){
                var t=jQuery.parseJSON(e);
                1==t.status?swal({
                    title:"Success",text:t.msg,icon:"success",button:"OK"
                }
                ):swal({
                    title:"Warning",text:t.msg,icon:"warning",button:"OK"
                }
                ),$("#mobile").val(""),$("#operator").val(""),$("#circle").val(""),$("#amount").val(""),$("#recharge").html("Recharge"),$("#recharge").attr("onclick","rechargeMob()")
            }
        }
    }
    )):(swal({
        title:"Warning",text:"Please Enter Valid Mobile Number",icon:"warning",button:"OK"
    }
    ),$("#mobile").focus(),!1)
}
function valMobile(e){
    10==e.length&&$.ajax({
        type:"POST",url:"show-operator-circle.php",data:"mobile="+e,success:function(e){
            if("null"!=e){
                var t=jQuery.parseJSON(e);
                $("#operator").val(t.operator),$("#circle").val(t.circle)
            }
        }
    }
    )
}
function redirectTo(page){
    window.location.href = page+'.php';
}
function add_accounts(){
    var numExp = /^[0-9]+$/;
    var customer = $('#customer').val();
	var amount = $('#amount').val();
	var account_id = $('#account_id').val();
	var accedit_id = $('#accedit_id').val();
	amount=amount.replace(/^\s+/,'').replace(/\s+$/,'');
	if(customer == ''){
		$('#customer').focus();
        swal({
            title:"Warning",text:"Select Customer",icon:"warning",button:"OK"
        });
		return false;
	}else if(amount == ''){
		$('#amount').focus();
        swal({
            title:"Warning",text:"Enter Amount",icon:"warning",button:"OK"
        });
		return false;
	}else if(!(amount.match(numExp))){
		$('#amount').focus();
        swal({
            title:"Warning",text:"Enter valid Amount",icon:"warning",button:"OK"
        });
		return false;
	}else{
        $.ajax({
            type: 'POST',
            url: 'add-account-save.php', 
            data: {customer: customer,amount: amount,account_id: account_id,accedit_id: accedit_id},
            beforeSend: function(){
                $("#loader2").show();
            },
            success: function(response){
                var data=jQuery.parseJSON(response);
                data.status?swal({
                    title:"Success",text:data.msg,icon:"success",button:"OK"
                }
                ):swal({
                    title:"Warning",text:data.msg,icon:"warning",button:"OK"
                }
                )               
                $("#loader2").hide();
            },
            error: function() {
                swal({
                    title: "Warning!",
                    text: 'Error occurred during fetch data',
                    icon: "warning",
                    button: "OK",
                });
            }
        });
    }
}